nodejs and npm versions are way too far behind. I do not understand why this would be the case.

Asked by William Hatch on 2019-07-01

Arguable, these two packages are used by so many, that keeping them a lot more up to date would be desirable. As is, we can't really rely on the repositories for installing them, and have to resort to curl oriented work arounds instead. This seems silly. Please convince me otherwise, or better yet, just update the packages already ;-)

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu npm Edit question
Assignee:
No assignee Edit question
Last query:
2019-07-01
Last reply:
2019-07-01

This question was reopened

Manfred Hampl (m-hampl) said : #1

Manfred Hampl suggests this article as an answer to your question:
FAQ #3037: “no rolling release”.

William Hatch (wkhatch) said : #2

I understand the no rolling release, but the versions for both nodejs and npm that are available for ubuntu 18.04 in the repositories are at least one year behind what would have been available at the time of releasing 18.04 on 4/26/2018

Can you help with this problem?

Provide an answer of your own, or ask William Hatch for more information if necessary.

To post a message you must log in.